Bug 1772463 - 4.x oc client is not compatible with OCP 3.11 for some resources
Summary: 4.x oc client is not compatible with OCP 3.11 for some resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.z
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1763929
Blocks: 1772467
TreeView+ depends on / blocked
 
Reported: 2019-11-14 12:23 UTC by Maciej Szulik
Modified: 2020-01-07 17:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1763929
: 1772467 (view as bug list)
Environment:
Last Closed: 2020-01-07 17:55:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 163 0 'None' closed Bug 1772463: Set TypeSetter in get print flags, like we do everywhere elsewhere 2020-05-04 14:33:44 UTC
Red Hat Product Errata RHBA-2020:0014 0 None None None 2020-01-07 17:55:23 UTC

Comment 2 zhou ying 2019-12-18 05:13:38 UTC
confirmed with latest version, the issue has fixed:

[zhouying@dhcp-140-138 ~]$ oc get SecurityContextConstraints restricted -o name
securitycontextconstraints.security.openshift.io/restricted
[zhouying@dhcp-140-138 ~]$ oc version -o yaml 
clientVersion:
  buildDate: "2019-12-13T22:26:47Z"
  compiler: gc
  gitCommit: 7207690010f08f2ae526ee3300d4a18ea65997fe
  gitTreeState: clean
  gitVersion: v4.2.11
  goVersion: go1.12.8
  major: ""
  minor: ""
  platform: linux/amd64
serverVersion:
  buildDate: "2019-12-02T08:30:15Z"
  compiler: gc
  gitCommit: d4cacc0
  gitTreeState: clean
  gitVersion: v1.11.0+d4cacc0
  goVersion: go1.10.8
  major: "1"
  minor: 11+
  platform: linux/amd64


As normal user:
[zhouying@dhcp-140-138 ~]$ oc get SecurityContextConstraints restricted -o name
Error from server (Forbidden): securitycontextconstraints "restricted" is forbidden: User "testuser1" cannot get securitycontextconstraints at the cluster scope: no RBAC policy matched

After assinged the cluster-admin role:
[zhouying@dhcp-140-138 ~]$ oc get SecurityContextConstraints restricted -o name
securitycontextconstraints.security.openshift.io/restricted

Comment 4 errata-xmlrpc 2020-01-07 17:55:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0014


Note You need to log in before you can comment on or make changes to this bug.